<template>
  <v-card min-height="700px" flat tile>
    <v-card-title>
      <v-container>
        <v-row align="center" justify="center" height="800px">
          <v-carousel
            v-model="window"
            :continuous="false"
            :show-arrows="false"
            hide-delimiter-background
            hide-delimiters
            height="100%"
          >
            <v-carousel-item v-for="n in 3" :key="n" eager>
              <img
                :src="
                  require(`../../assets/screenshots/${$i18n.locale}/steps_customer` +
                    n +
                    '.png')
                "
                alt=""
                style="max-height: 500px"
              />
              <p class="h2-mobile">
                <b>{{ $t(`steps_customer.${n}.1`) }}</b>
              </p>
              <p class="text-mobile">
                {{ $t(`steps_customer.${n}.2`) }}
              </p>
            </v-carousel-item>
          </v-carousel>
        </v-row>
      </v-container>
    </v-card-title>
    <v-card-actions class="pa-0">
      <v-container>
        <v-row align="center" justify="center">
          <v-item-group v-model="window" class="shrink mr-6" mandatory>
            <v-item v-slot="{ active, toggle }" class="mb-5"
              ><v-btn :input-value="active" icon @click="toggle">
                <v-icon
                  dark
                  class="ma-auto"
                  style="color: grey"
                  :style="active ? 'color:#7ECA9C' : ''"
                  >mdi-circle</v-icon
                >
              </v-btn>
            </v-item>
            <v-item v-slot="{ active, toggle }" class="mb-5"
              ><v-btn :input-value="active" icon @click="toggle">
                <v-icon
                  dark
                  class="ma-auto"
                  style="color: grey"
                  :style="active ? 'color:#7ECA9C' : ''"
                  >mdi-circle</v-icon
                >
              </v-btn>
            </v-item>
            <v-item v-slot="{ active, toggle }" class="mb-5"
              ><v-btn :input-value="active" icon @click="toggle">
                <v-icon
                  dark
                  class="ma-auto"
                  style="color: grey"
                  :style="active ? 'color:#7ECA9C' : ''"
                  >mdi-circle</v-icon
                >
              </v-btn>
            </v-item>
          </v-item-group>
        </v-row>
      </v-container>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      window: 0,
      window2: 0,
    };
  },
};
</script>

<style scoped lang="scss">
.vustify-vertically-center {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-around;
  flex-wrap: wrap;
}
p {
  text-align: center;
  margin: auto;
  margin-top: 15px;
  margin-bottom: 15px;
  width: 85%;
}

.v-btn {
  opacity: 1;
}
</style>
